www/p5-Catalyst-Plugin-ConfigLoader - The NetBSD Packages Collection

Load Catalyst config from YAML file

This module will attempt to load find and load a configuration file
of various types. Currently it supports YAML, JSON, XML, INI and
Perl formats. Special configuration for a particular driver format
can be stored in

MyApp->config->{ 'Plugin::ConfigLoader' }->{ driver }.

Build dependencies

pkgtools/cwrappers archivers/gtar-base

Runtime dependencies

www/p5-Catalyst-Runtime devel/p5-Config-Any devel/p5-Data-Visitor devel/p5-MRO-Compat lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 8.0earmv7hfp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 8.0earmv7hfp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 8.0i386p5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 8.0i386p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 8.0powerpcp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 8.0powerpcp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 8.0powerpcp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 8.0powerpcp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 8.0x86_64p5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 8.0x86_64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0aarch64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0aarch64p5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0aarch64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0alphap5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0alphap5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0alphap5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0earmp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0earmp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0earmp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0earmv6hfp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0earmv6hfp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0earmv6hfp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0earmv7hfp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0earmv7hfp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0earmv7hfp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0earmv7hfp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0i386p5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0i386p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0m68kp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0mips64ebp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0mips64ebp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0mips64ebp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0mips64ebp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0mips64ebp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0powerpcp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0powerpcp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0powerpcp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0powerpcp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0sh3elp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0sh3elp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0sh3elp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0sh3elp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0sh3elp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0sparc64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0sparc64p5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0sparc64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0sparcp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0sparcp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0sparcp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0sparcp5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0sparcp5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0x86_64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0x86_64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0x86_64p5-Catalyst-Plugin-ConfigLoader-0.35.tgz
NetBSD 9.0x86_64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz
NetBSD 9.0x86_64p5-Catalyst-Plugin-ConfigLoader-0.35nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.